## NMSettingTeamPort NMSettingTeamPort — Describes connection properties for team ports |

## Functions

NMSetting * | nm_setting_team_port_new ()
const char * | nm_setting_team_port_get_config ()

## Properties

gchar * | config | Read / Write

## Types and Values

#define | NM_SETTING_TEAM_PORT_SETTING_NAME
#define | NM_SETTING_TEAM_PORT_CONFIG

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingTeamPort

## Description

The NMSettingTeamPort object is a NMSetting subclass that describes optional properties that apply to team ports.

## Functions

### nm_setting_team_port_new ()

    NMSetting *
    nm_setting_team_port_new (void);

Creates a new NMSettingTeamPort object with default values.

#### Returns

the new empty NMSettingTeamPort object.

[transfer full]

### nm_setting_team_port_get_config ()

    const char *
    nm_setting_team_port_get_config (NMSettingTeamPort *setting);

#### Parameters

setting | the NMSettingTeamPort |

#### Returns

the “config” property of the setting

## Types and Values

### NM_SETTING_TEAM_PORT_SETTING_NAME

    #define NM_SETTING_TEAM_PORT_SETTING_NAME "team-port"

### NM_SETTING_TEAM_PORT_CONFIG

    #define NM_SETTING_TEAM_PORT_CONFIG     "config"

## Property Details

### The `“config”` property

      “config”                   gchar *

Flags: Read / Write

Default value: NULL